%define	name	SDL_ttf
%define	version	2.0.9
%define	release	%mkrel 1
%define	lib_name_orig	lib%{name}
%define	lib_major	2.0
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname -d %{name}

Summary:	Simple DirectMedia Layer - Sample TrueType Font Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.bz2
Patch0:		SDL_ttf-2.0.8-noftinternals.patch
Patch1:         SDL_ttf-2.0.8-fix-mono-bitmaps-returned-when-nonmono-was-expected.patch
License:	LGPL
URL:		http://www.libsdl.org/projects/SDL_ttf/
Group:		System/Libraries
BuildRequires:	SDL-devel X11-devel audiofile-devel esound-devel freetype2-devel >= 2.1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel %{lib_name}-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n	%{lib_name}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n	%{lib_name}-test
This package contains binary to test the associated library.

%prep
%setup -q
#patch0 -p1 -b .noftinternals
#%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 .libs/{showfont,glfont} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}-test
%defattr(-,root,root)
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{lib_name}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*


%changelog
* Sun Jul 22 2007 Funda Wang <fundawang@mandriva.org> 2.0.9-1mdv2008.0
+ Revision: 54384
- New develpackage policy
- New version

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.0.8-5mdv2008.0
+ Revision: 36090
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 2.0.8-4mdv2008.0
+ Revision: 31379
- rebuild agasinst directfb 1.0


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.0.8-3mdv2007.0
+ Revision: 125392
- Rebuilt against latest libgii/libggi
- Import SDL_ttf

* Tue Aug 29 2006 Guillaume Cottenceau 2.0.8-2mdk2007.0
- author patch1 to fix a bug when a mono bitmap is returned
  when a non mono was expected (submitted upstream, but a
  debian guy said SDL stuff usually take a long time for
  a new release)

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdv2007.0
- 2.0.8
- fix build against new freetype (P0)
- %%mkrel
- cosmetics

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.7-2mdk
- Rebuild

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.coM> 2.0.7-1mdk
- Release: 2.0.7.

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0.6-5mdk
- Rebuilt.

